Get a gift card order
curl --request GET \
--url https://api.gameboost.com/v2/gift-card-orders/{giftCardOrder} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/gift-card-orders/{giftCardOrder}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/gift-card-orders/{giftCardOrder}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"gift_card_id": 123,
"gift_card_offer_id": 123,
"region_id": 123,
"brand_id": 123,
"buyer": {
"id": 123,
"username": "<string>"
},
"title": "<string>",
"face_value_amount": "<string>",
"face_value_unit": "<string>",
"quantity": 123,
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"price_eur": "<string>",
"price_usd": "<string>",
"keys": [
{
"id": 123,
"gift_card_order_id": 123,
"key": "<string>",
"type": {
"name": "<string>"
},
"created_at": 123,
"revealed_at": 123
}
],
"created_at": 123,
"updated_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Gift Card Orders
Get a gift card order
Retrieve detailed information about a specific gift card order.
GET
/
v2
/
gift-card-orders
/
{giftCardOrder}
Get a gift card order
Was this page helpful?
⌘I